scala.tools.nsc

# CompileSocket

#### object CompileSocket extends CompileSocket

Source
  CompileSocket.scala

Linear Supertypes
CompileSocket, CompileOutputCommon, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompileSocket
2. CompileSocket
3. CompileOutputCommon
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def cmdName: String

   Attributes
     protected
   Definition Classes
     CompileSocket

7. #### lazy val compileClient: StandardCompileClient

   Attributes
     protected
   Definition Classes
     CompileSocket

8. #### def deletePort(port: Int): Boolean

   Delete the port number to which a scala compile server was connected

   Delete the port number to which a scala compile server was connected

   Definition Classes
     CompileSocket

9. #### lazy val dirName: String

   The prefix of the port identification file, which is followed by the port number.

   The prefix of the port identification file, which is followed by the port number.

   Attributes
     protected
   Definition Classes
     CompileSocket

10. #### def echo(msg: String): Unit

    Definition Classes
      CompileOutputCommon

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def fatal(msg: String): Nothing

    Definition Classes
      CompileOutputCommon

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getOrCreateSocket(vmArgs: String, create: Boolean = true): Option[Socket]

    Get a socket connected to a daemon.

    Get a socket connected to a daemon. If create is true, then create a new daemon if necessary. Returns None if the connection cannot be established.

    Definition Classes
      CompileSocket

17. #### def getPassword(port: Int): String

    Definition Classes
      CompileSocket

18. #### def getPort(vmArgs: String): Int

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

    Definition Classes
      CompileSocket

19. #### def getSocket(hostName: String, port: Int): Socket

    Definition Classes
      CompileSocket

20. #### def getSocket(serverAdr: String): Socket

    Definition Classes
      CompileSocket

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def info(msg: String): Unit

    Definition Classes
      CompileOutputCommon

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def parseInt(x: String): Option[Int]

    Definition Classes
      CompileSocket

28. #### def portFile(port: Int): File

    The port identification file

    The port identification file

    Definition Classes
      CompileSocket

29. #### val portsDir: Directory

    Definition Classes
      CompileSocket

30. #### val serverClass: String

    The class name of the scala compile server

    The class name of the scala compile server

    Attributes
      protected
    Definition Classes
      CompileSocket

31. #### def serverClassArgs: collection.immutable.List[String]

    Attributes
      protected
    Definition Classes
      CompileSocket

32. #### def setPort(port: Int): Unit

    Set the port number to which a scala compile server is connected

    Set the port number to which a scala compile server is connected

    Definition Classes
      CompileSocket

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### val tmpDir: Directory

    A temporary directory to use

    A temporary directory to use

    Definition Classes
      CompileSocket

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### def verbose: Boolean

    Definition Classes
      CompileSocket → CompileOutputCommon

37. #### val vmCommand: String

    The vm part of the command to start a new scala compile server

    The vm part of the command to start a new scala compile server

    Attributes
      protected
    Definition Classes
      CompileSocket

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def warn(msg: String): Unit

    Definition Classes
      CompileOutputCommon

### Inherited from CompileSocket

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Ungrouped